# Epílogo

Es un estereotipo para un autor el decir que el libro que ha escrito es el que le hubiera gustado leer cuando se enfrentó a los temas presentados en el libro. Quizás es un estereotipo porque es cierto: este libro contiene los consejos que me habrían ayudado cuando comencé este viaje. Con demasiada frecuencia me he preguntado si he estado a la altura de los niveles que he creado para representar al programador ideal. Muchas veces he visto el éxito de mis compañeros y me pregunto si yo soy un programador ineficaz o deficiente en mi aprendizaje. ¿Qué estaba haciendo mal que otras personas hacen bien?

He llegado a la conclusión que el viaje de cada programador es único. Tu viajes te llevará por direcciones que serán diferentes a las que me llevó mi viaje. Tendrás experiencias que yo no puedo compartir y yo he tenido experiencias que difícilmente tu podrás replicarlas a menos que tengas una máquina del tiempo. Ninguna de nuestras experiencias es menos válida que las del otro, ni son más o menos válidas que las experiencias de otros programadores. Estas son nuestras experiencias. Las áreas de nuestro conocimiento son solo las áreas que hemos explorado hasta ahora. Siempre habrá brechas, pero podemos definir esas brechas como las áreas que aún no hemos explorado. Siempre hay más para explorar, y esa exploración es la parte divertida del viaje.

Ningún viajero puede estar en todos los lugares en todo momento. Deben viajar a cada destino tan rápido o tan despacio como sus medios de transporte les permitan y permanecer allí tanto como puedan antes de viajar a su siguiente destino. Viajan con los compañeros que encuentren en cada comunidad que puedan crear. Construyen relaciones y confían en ellos mismos y en los demás. Utilizan sus puntos fuertes para ayudar a otras personas y explorar y mejoran sus debilidades. Cada día continúan adelante. Como el viajero, a menudo debemos escoger nuestros destinos y compañeros. Podemos encontrar a aquellos, que como nosotros, están viajando por el mismo camino y que nos pueden ayudar en nuestro viaje. Podemos intercambiar historias sobre nuestros éxitos y fracasos y experimentar cada día como otra etapa más en nuestro viaje. 

Continuo mi viaje cada día y espero que como programador tu continúes tu viaje cada día mientras seas capaz. Puede que no estemos exactamente juntos en el mismo camino, pero tenemos la misma meta: hacer lo mejor que sabemos hacer en cada momento.

Te deseo lo mejor en todos tus viajes y espero volver a escuchar las historias de tus viajes cuando nos encontremos de nuevo.
